@import 'fonts.css';

/* RESET  */

ul {
	padding: 0;
	display: block;
}

ul > li {
	display: block;
}

a, .ref, input[type='text'] {
	text-align: center;
	text-decoration: none;
	border-bottom: 1px solid grey;
	border-left: 1px solid grey;
	border-right: 1px solid grey;
	border-top: none;
	background: none;
}

.link_cadratin {
	border: none;
	color: grey;
}


/* ENDRESET */


:root {
	--main-bg-color: oldlace;
	--main-active-color: blue;
}

input[type='range'] {
	-webkit-appearance: none !important;
	background: white;
	height:7px;
}
input[type='range']::-webkit-slider-thumb {
	-webkit-appearance: none !important;
	background: var(--main-active-color);
	height: 7px;
	width: 7px;
}

body {
	background: #F0F0F0;
	display: grid;
	font-family: 'source-code';
	font-size: 14px;
	line-height: 1.3em;
	margin: 0px;
}

nav {
	/* background: var(--main-bg-color); */
	grid-area: nav;
	height: 100%;
	margin: 0px;
	padding: 5px;
	z-index: 2;
	display: flex;
	flex-direction: column;
	position: absolute;
	width: 100%;
}


nav .header {
	height: 40px;
}

nav h1 {
	font-size: inherit;
	font-weight: normal;
	text-transform: uppercase;
	margin: 0px;
	margin-top: 12px;
}

nav .global {
	height: calc(93% - 40px);
	bottom: 0px;
	overflow-y: scroll;
	overflow-x: hidden;
	width: calc(100% - 5px);
}

nav .block_input {
	padding: 3px 0;
}
nav .block_input .description {
	display: inline-block;
	width: 70px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

nav .block_input label .unity {
	display: none;
}

nav .block_input label.ligth .description {
	color: blue;
}
nav .block_input label.ligth .unity {
	display: inline-block;
	color: blue;
}

span.valueBox {
	color: var(--main-active-color);
}

#global_nav label {
	float: left;
	width: 48%;
}

#info_nav label {
	width: 100%;
	display: block;
}

nav .tabs {
	bottom: 0px;
	left: 0px;
	margin-bottom: 0px;
	text-transform: uppercase;
	width: 300px;
	height: 7%;
}

.typewriter {
	/* border-right: 5px solid var(--main-bg-color); */
	box-shadow: 17px 0 16px -16px rgba(0, 0, 0, 0.4) inset;
	padding: 10px;
	grid-area: typewriter;
}

.typewriter {
	overflow: scroll;
}

.typewriter #svgContainer {
	transform-origin: 0 0;
}

.typewriter:not(.set) #svgContainer {
	display: table;
	height: calc(100% - 20px);
	margin: 0 auto;
	width: auto;
}

.typewriter.set #svgContainer {
	display: table-cell;
	text-align: center;
}

.typewriter #svgContainer .cadratin {
	display: table-cell;
	vertical-align: middle;
}
.typewriter.set  #svgContainer .cadratin {
	display: initial;
	vertical-align: middle;
}
.typewriter #svgContainer .cadratin a {
	display: inline-grid;
}

.typewriter .footer {
	position: fixed;
	bottom: 10px;
}

.typewriter .footer #log.IN {
	color: blue;
}
.typewriter .footer #log.OUT {
	color: green;
}
.typewriter .footer #log.ERR {
	color: red;
}
.typewriter .footer #log input {
	background: none;
	border: none;
}

.typewriter .footer #log input[value="yes"] {
	background: none;
	border: none;
	outline: 1px solid green;
	color: green;
	margin: 0px 10px;
}

.typewriter .footer #log input[value="no"] {
	background: none;
	border: none;
	outline: 1px solid red;
	color: red;
	margin: 0px 10px;
}

.typewriter .zoom {
	position: absolute;
	z-index: 10;
}

.typewriter .zoom input[type=range] {

	box-sizing: border-box;
	cursor:n-resize;
}

#addGlyph {
	/* background: var(--main-bg-color); */
	grid-area: addGlyph;
}

#editorBox {
	background: none;
	grid-area: edition;
}

.ace-tm {
	background: none !important; 
} 
#editorBox .ace_content {
	background: none;
	box-shadow: 17px 0 16px -16px rgba(0, 0, 0, 0.4) inset;
	padding-left: 3px;
}

#editorBox .options h1 {
	font-size: inherit;
	margin: 0;
}

.editor {
	bottom: 0px;
	display: none;
	height: 100%;
	width: 100%;
}

.editor:target {
	display: block;
}

.set .cadratin {
	height: 20%;
	margin-top: 0%;

}

#btn_all {
	bottom: 20px;
	display: block;
	margin-left: 20px;
	position: absolute;
	z-index: 2;
}

section#content {
	display: grid;
	height: 100%;
	position: fixed;
	width: 100%;
	z-index: 1;
}


section#content.type.trip {
	grid-template-columns: 300px auto 400px;
}

section#content.type.hide_left {
	grid-template-columns: 20px auto calc(40% - 20px);
}
section#content.type.hide_right {
	grid-template-columns: 300px auto  20px;
}

section#content.type.hide_right.hide_left {
	grid-template-columns: 20px auto  20px;
}

section#content.type {
	grid-template-rows: 100%;
	grid-template-areas: "nav typewriter edition"
	"nav typewriter edition";
}

.hide_left nav, .hide_right #editorBox *{
	visibility: hidden;
}
.type:not(.add) #addGlyph{
	display: none;
}

section#content.type.free {
	grid-template-columns: 300px auto;
	grid-template-rows: 100%;
	grid-template-areas: "nav typewriter"
	"nav typewriter";
}
section#content.type.free #editorBox {
	display: none;
}

section .loading:before {
	background: var(--main-active-color);
	color: white;
	content: 'loading...';
	left: calc(50% - 25px);
	padding: 2px;
	position: absolute;
	top: calc(50% - 50px);
	width: 50px;
}

.set svg{
	height: 5vw;
	width: 5vw;
	padding: 10px;
	margin: 10px;
}
svg{
	overflow: visible;
}

.chart {
	box-shadow: 1px 0 0 0 var(--main-bg-color), 0 1px 0 0 var(--main-bg-color), 1px 1px 0 0 var(--main-bg-color), 1px 0 0 0 var(--main-bg-color) inset, 0 1px 0 0 var(--main-bg-color) inset;
	float: left;
	text-align: center;
}

.chart:hover {
	background: white;
}

.chart .info {
	background: var(--main-bg-color);
	color: black;
	position: relative;
	margin-bottom: 0px;
	margin-left: 0px;
}
.chart:hover .info {
	background: var(--main-active-color);
	color: white;
}

.addChart {
	background: var(--main-bg-color);
}
.cadratin:hover svg {
	background: white;
}
.cadratin:hover [style^="stroke:rgb(0.000000%,0.000000%,0.000000%);"] {
	stroke-width: 1 !important;
}

.cadratin [style^="fill: rgb(0.000000%,0.000000%,0.000000%);stroke: none;"]:hover{
	opacity: .4;
}


svg text {
	fill: var(--main-active-color); 
}

.btn {	
	border: 1px solid black;
	border-radius: 5px;
	padding: 2px 3px;
}

.btn_file {	
	cursor: pointer;
	padding: 2px 3px;
	color: grey
}
.btn_file.active, .btn_file[data-active='true'] {
	color: var(--main-active-color);
}


